Change a file import feed
curl --request PATCH \
--url https://api.statisfy.com/v1/integrations/imports/feeds/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"allow_multiple_rows": true,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": true,
"custom_object_append_only": true,
"expected_version": "2023-11-07T05:31:56Z",
"header_layout": {
"group_row": 2,
"header_row": 1
},
"match": {
"column": "<string>",
"field": "<string>"
},
"period": {
"date_column": "<string>",
"week_start": "monday"
},
"source": {
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"validation_rules": {
"allow_partial_success": true,
"required_columns": [
"<string>"
],
"skip_on_error": false
}
}
'import requests
url = "https://api.statisfy.com/v1/integrations/imports/feeds/{name}"
payload = {
"active": True,
"allow_multiple_rows": True,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": True,
"custom_object_append_only": True,
"expected_version": "2023-11-07T05:31:56Z",
"header_layout": {
"group_row": 2,
"header_row": 1
},
"match": {
"column": "<string>",
"field": "<string>"
},
"period": {
"date_column": "<string>",
"week_start": "monday"
},
"source": {
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"validation_rules": {
"allow_partial_success": True,
"required_columns": ["<string>"],
"skip_on_error": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
allow_multiple_rows: true,
clear_token: '<string>',
columns: [
{
column: '<string>',
target: '<string>',
date_format: '<string>',
transform: '<string>'
}
],
create_missing_people: true,
custom_object_append_only: true,
expected_version: '2023-11-07T05:31:56Z',
header_layout: {group_row: 2, header_row: 1},
match: {column: '<string>', field: '<string>'},
period: {date_column: '<string>', week_start: 'monday'},
source: {
attachment_filter: '<string>',
bucket: '<string>',
connection: '<string>',
prefix: '<string>',
region: '<string>',
subject_filter: '<string>'
},
validation_rules: {
allow_partial_success: true,
required_columns: ['<string>'],
skip_on_error: false
}
})
};
fetch('https://api.statisfy.com/v1/integrations/imports/feeds/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/imports/feeds/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'allow_multiple_rows' => true,
'clear_token' => '<string>',
'columns' => [
[
'column' => '<string>',
'target' => '<string>',
'date_format' => '<string>',
'transform' => '<string>'
]
],
'create_missing_people' => true,
'custom_object_append_only' => true,
'expected_version' => '2023-11-07T05:31:56Z',
'header_layout' => [
'group_row' => 2,
'header_row' => 1
],
'match' => [
'column' => '<string>',
'field' => '<string>'
],
'period' => [
'date_column' => '<string>',
'week_start' => 'monday'
],
'source' => [
'attachment_filter' => '<string>',
'bucket' => '<string>',
'connection' => '<string>',
'prefix' => '<string>',
'region' => '<string>',
'subject_filter' => '<string>'
],
'validation_rules' => [
'allow_partial_success' => true,
'required_columns' => [
'<string>'
],
'skip_on_error' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/imports/feeds/{name}"
payload := strings.NewReader("{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/integrations/imports/feeds/{name}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/imports/feeds/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"active": true,
"allow_multiple_rows": true,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": true,
"created_at": "2023-11-07T05:31:56Z",
"custom_object_append_only": true,
"header_layout": {
"group_row": 123,
"header_row": 123
},
"match": {
"column": "<string>",
"field": "<string>"
},
"name": "<string>",
"period": {
"date_column": "<string>",
"snapshot": "daily",
"week_start": "monday"
},
"row": "account",
"source": {
"kind": "email",
"address": "<string>",
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"validation_rules": {
"allow_partial_success": true,
"required_columns": [
"<string>"
],
"skip_on_error": false
},
"version": "2023-11-07T05:31:56Z"
}integrations
Change a file import feed
Change a feed: each field sent replaces the stored one whole (columns lists them all), and active switches it on or off. The name is fixed. Send expected_version (get_feed’s version): a feed changed since is a 409. The save runs the app’s checks, as create_feed does.
PATCH
/
v1
/
integrations
/
imports
/
feeds
/
{name}
Change a file import feed
curl --request PATCH \
--url https://api.statisfy.com/v1/integrations/imports/feeds/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"allow_multiple_rows": true,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": true,
"custom_object_append_only": true,
"expected_version": "2023-11-07T05:31:56Z",
"header_layout": {
"group_row": 2,
"header_row": 1
},
"match": {
"column": "<string>",
"field": "<string>"
},
"period": {
"date_column": "<string>",
"week_start": "monday"
},
"source": {
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"validation_rules": {
"allow_partial_success": true,
"required_columns": [
"<string>"
],
"skip_on_error": false
}
}
'import requests
url = "https://api.statisfy.com/v1/integrations/imports/feeds/{name}"
payload = {
"active": True,
"allow_multiple_rows": True,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": True,
"custom_object_append_only": True,
"expected_version": "2023-11-07T05:31:56Z",
"header_layout": {
"group_row": 2,
"header_row": 1
},
"match": {
"column": "<string>",
"field": "<string>"
},
"period": {
"date_column": "<string>",
"week_start": "monday"
},
"source": {
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"validation_rules": {
"allow_partial_success": True,
"required_columns": ["<string>"],
"skip_on_error": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
allow_multiple_rows: true,
clear_token: '<string>',
columns: [
{
column: '<string>',
target: '<string>',
date_format: '<string>',
transform: '<string>'
}
],
create_missing_people: true,
custom_object_append_only: true,
expected_version: '2023-11-07T05:31:56Z',
header_layout: {group_row: 2, header_row: 1},
match: {column: '<string>', field: '<string>'},
period: {date_column: '<string>', week_start: 'monday'},
source: {
attachment_filter: '<string>',
bucket: '<string>',
connection: '<string>',
prefix: '<string>',
region: '<string>',
subject_filter: '<string>'
},
validation_rules: {
allow_partial_success: true,
required_columns: ['<string>'],
skip_on_error: false
}
})
};
fetch('https://api.statisfy.com/v1/integrations/imports/feeds/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/imports/feeds/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'allow_multiple_rows' => true,
'clear_token' => '<string>',
'columns' => [
[
'column' => '<string>',
'target' => '<string>',
'date_format' => '<string>',
'transform' => '<string>'
]
],
'create_missing_people' => true,
'custom_object_append_only' => true,
'expected_version' => '2023-11-07T05:31:56Z',
'header_layout' => [
'group_row' => 2,
'header_row' => 1
],
'match' => [
'column' => '<string>',
'field' => '<string>'
],
'period' => [
'date_column' => '<string>',
'week_start' => 'monday'
],
'source' => [
'attachment_filter' => '<string>',
'bucket' => '<string>',
'connection' => '<string>',
'prefix' => '<string>',
'region' => '<string>',
'subject_filter' => '<string>'
],
'validation_rules' => [
'allow_partial_success' => true,
'required_columns' => [
'<string>'
],
'skip_on_error' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/imports/feeds/{name}"
payload := strings.NewReader("{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/integrations/imports/feeds/{name}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/imports/feeds/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"allow_multiple_rows\": true,\n \"clear_token\": \"<string>\",\n \"columns\": [\n {\n \"column\": \"<string>\",\n \"target\": \"<string>\",\n \"date_format\": \"<string>\",\n \"transform\": \"<string>\"\n }\n ],\n \"create_missing_people\": true,\n \"custom_object_append_only\": true,\n \"expected_version\": \"2023-11-07T05:31:56Z\",\n \"header_layout\": {\n \"group_row\": 2,\n \"header_row\": 1\n },\n \"match\": {\n \"column\": \"<string>\",\n \"field\": \"<string>\"\n },\n \"period\": {\n \"date_column\": \"<string>\",\n \"week_start\": \"monday\"\n },\n \"source\": {\n \"attachment_filter\": \"<string>\",\n \"bucket\": \"<string>\",\n \"connection\": \"<string>\",\n \"prefix\": \"<string>\",\n \"region\": \"<string>\",\n \"subject_filter\": \"<string>\"\n },\n \"validation_rules\": {\n \"allow_partial_success\": true,\n \"required_columns\": [\n \"<string>\"\n ],\n \"skip_on_error\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"active": true,
"allow_multiple_rows": true,
"clear_token": "<string>",
"columns": [
{
"column": "<string>",
"target": "<string>",
"date_format": "<string>",
"transform": "<string>"
}
],
"create_missing_people": true,
"created_at": "2023-11-07T05:31:56Z",
"custom_object_append_only": true,
"header_layout": {
"group_row": 123,
"header_row": 123
},
"match": {
"column": "<string>",
"field": "<string>"
},
"name": "<string>",
"period": {
"date_column": "<string>",
"snapshot": "daily",
"week_start": "monday"
},
"row": "account",
"source": {
"kind": "email",
"address": "<string>",
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"validation_rules": {
"allow_partial_success": true,
"required_columns": [
"<string>"
],
"skip_on_error": false
},
"version": "2023-11-07T05:31:56Z"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
200 - application/json
Successful Response
Was this page helpful?